Author Topic: Comando extruded on una trayectoria a seguir  (Read 518 times)

0 Members and 1 Guest are viewing this topic.

Elvis Mirabet Lemos

  • Mosquito
  • Posts: 2
Comando extruded on una trayectoria a seguir
« on: July 01, 2020, 05:12:46 PM »
Hola a todos
Estoy programando en VBA para autocad, especificamente con addextrudedsolidalongpath.
En VBA escribo:
Set SolidObj = ThisDrawing.ModelSpace.AddExtrudedSolidAlongPath(RegionObj(0),SplineObj)
Estoy tratando de formar un solido a partir dedel una region siguiendo un camino que es una curva spline, esto da un error y no dibuja nada, cuando salgo a la consola de autocad y ejecuto comando extruded, le indico la region y la trayectoria, o sea le indico la spline, y se dibuja el solido, no se porqué por programación  no lo hace, parece que aurodesk ha comentado algo de eso, pero soy cubano y no tengo acceso a la pagina de autodesk, por favor alguien puede ayudarme?????, Gracias.

57gmc

  • Newt
  • Posts: 100
Re: Comando extruded on una trayectoria a seguir
« Reply #1 on: July 06, 2020, 10:46:57 AM »
Here is the help topic for the method.

Este es el tema de ayuda para el método. La sección Comentarios escribe "Puede extruir sólo regiones planas 2D.
La ruta de acceso no debe estar en el mismo plano que el perfil, ni debe tener áreas de alta curvatura." ¿Cumple sus entidades estos requisitos? Si es así, publique el código y un dibujo de ejemplo.